--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: The class to access large objects. An instance of this class is created as the result of PGconn#lo_import, PGconn#lo_create, and PGconn#lo_open.
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: INV_WRITE
  value: INT2FIX(INV_WRITE)
- !ruby/object:RI::Constant 
  comment: 
  name: INV_READ
  value: INT2FIX(INV_READ)
- !ruby/object:RI::Constant 
  comment: 
  name: SEEK_SET
  value: INT2FIX(SEEK_SET)
- !ruby/object:RI::Constant 
  comment: 
  name: SEEK_CUR
  value: INT2FIX(SEEK_CUR)
- !ruby/object:RI::Constant 
  comment: 
  name: SEEK_END
  value: INT2FIX(SEEK_END)
full_name: PGlarge
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: close
- !ruby/object:RI::MethodSummary 
  name: export
- !ruby/object:RI::MethodSummary 
  name: oid
- !ruby/object:RI::MethodSummary 
  name: open
- !ruby/object:RI::MethodSummary 
  name: read
- !ruby/object:RI::MethodSummary 
  name: seek
- !ruby/object:RI::MethodSummary 
  name: size
- !ruby/object:RI::MethodSummary 
  name: tell
- !ruby/object:RI::MethodSummary 
  name: unlink
- !ruby/object:RI::MethodSummary 
  name: write
name: PGlarge
superclass: Object
